// Funktion, um ein Cookie zu setzen
function setCookie(name, value, days) {
    const date = new Date();
    date.setTime(date.getTime() + days * 24 * 60 * 60 * 1000);
    document.cookie = `${name}=${value};path=/;expires=${date.toUTCString()}`;
}

// Funktion, um ein Cookie auszulesen
function getCookie(name) {
    const cookies = document.cookie.split('; ');
    const foundCookie = cookies.find(row => row.startsWith(`${name}=`));
    return foundCookie ? foundCookie.split('=')[1] : null;
}

// Funktion, um das Theme zu setzen und im Cookie zu speichern
function setTheme(theme) {
    const stylesheet = document.getElementById('theme-stylesheet');
    const themeIcon = document.getElementById('theme-icon');

    stylesheet.href = theme === 'dark' ? 'dark.css' : 'light.css';

    // Speichere die Auswahl im Cookie
    setCookie('theme', theme, 365);

    // Bild im Button anpassen
    if (theme === 'dark') {
        themeIcon.src = 'sun.png';
        themeIcon.alt = 'Dark Mode';
    } else {
        themeIcon.src = 'moon.png';
        themeIcon.alt = 'Light Mode';
    }
}

// Event-Listener für den Button
document.getElementById('theme-toggle').addEventListener('click', () => {
    const currentTheme = getCookie('theme') || 'light';
    const newTheme = currentTheme === 'dark' ? 'light' : 'dark';
    setTheme(newTheme);
});

// Initiales Laden des gespeicherten Themes
window.onload = function() {
    const savedTheme = getCookie('theme') || 'light';
    setTheme(savedTheme);
};
